Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Interface LibertyURI

public interface LibertyURI

Defined URI string constants for Phaos_Liberty.

Field Summary
`static java.lang.String` | `consent_explicit` Consent value meaning that consent from the user has been explicitly obtained by the sender during this action, "urn:liberty:consent:obtained:current:explicit".
`static java.lang.String` | `consent_implicit` Consent value meaning that consent from the user has been implicitly obtained by the sender during this action as part of a broader indication of consent, "urn:liberty:consent:obtained:current:implicit".
`static java.lang.String` | `consent_inapplicable` Consent value meaning that the sender does not believe to need consent for the message, "urn:liberty:consent:inapplicable".
`static java.lang.String` | `consent_obtained` Consent value meaning that consent from the user was obtained by the sender of the message, "urn:liberty:consent:obtained".
`static java.lang.String` | `consent_prior` Consent value meaning that consent from the user was obtained by the sender of the message at some point prior to this action, "urn:liberty:consent:obtained:prior".
`static java.lang.String` | `consent_unavailable` Consent value meaning that consent was not obtained by the sender of the message, "urn:liberty:consent:unavailable".
`static java.lang.String` | `contact_type_administrative` Contact type value: administrative
`static java.lang.String` | `contact_type_billing` Contact type value: billing
`static java.lang.String` | `contact_type_other` Contact type value: other
`static java.lang.String` | `contact_type_technical` Contact type value: technical
`static java.lang.String` | `nameid_format_encrypted` Liberty name identifier format encrypted
`static java.lang.String` | `nameid_format_entityID` Liberty name identifier format entityID
`static java.lang.String` | `nameid_format_federated` Liberty name identifier format federated
`static java.lang.String` | `nameid_format_onetime` Liberty name identifier format one-time
`static java.lang.String` | `ns_ac` URI for the Liberty Authentication Context namespace "urn:liberty:ac:2003-08.
`static java.lang.String` | `ns_disco` The Liberty discovery namespace URI.
`static java.lang.String` | `ns_liberty` URI for the Liberty namespace "urn:liberty:iff:2003-08".
`static java.lang.String` | `ns_metadata` The Liberty metadata namespace URI.
`static java.lang.String` | `ns_xsi` Namespace URI for the W3C XML schema instance "http://www.w3.org/2001/XMLSchema-instance".
`static java.lang.String` | `obj_ac_classes` Stem URI for Liberty authentication context class identifier URIs.
`static java.lang.String` | `prof_brws_art` URI identifying the Liberty browser artifact profile "http://projectliberty.org/profiles/brws-art".
`static java.lang.String` | `prof_brws_post` URI identifying the Liberty browser post profile "http://projectliberty.org/profiles/brws-post".
`static java.lang.String` | `prof_fedterm_idp_http` URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-http".
`static java.lang.String` | `prof_fedterm_idp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-soap".
`static java.lang.String` | `prof_fedterm_sp_http` URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-http".
`static java.lang.String` | `prof_fedterm_sp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-soap".
`static java.lang.String` | `prof_lecp` URI identifying the Liberty-Enabled client and proxy profile (LECP) "http://projectliberty.org/profiles/lecp".
`static java.lang.String` | `prof_lecp_providerid` URI to be used as the value of the ProviderID in a lib:AuthnResponse message that contains a samlp:StatusCode indicatin an error condition.
`static java.lang.String` | `prof_nameid_encrypted` URI identifying the NameIdentifier Encryption profile "urn:liberty:iff:nameid:encrypted".
`static java.lang.String` | `prof_nim_sp_http` URI identifying the profile of SOAP-Based Name Identifier Mapping initiated at the service provider "http://projectliberty.org/profiles/nim-sp-http".
`static java.lang.String` | `prof_rni_idp_http` URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-http".
`static java.lang.String` | `prof_rni_idp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-soap".
`static java.lang.String` | `prof_rni_sp_http` URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-http".
`static java.lang.String` | `prof_rni_sp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-soap".
`static java.lang.String` | `prof_slo_idp_http` URI identifying the profile of HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-http".
`static java.lang.String` | `prof_slo_idp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-soap".
`static java.lang.String` | `prof_slo_sp_http` URI identifying the profile of HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-http".
`static java.lang.String` | `prof_slo_sp_soap` URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-soap".
`static java.lang.String` | `prof_wml_post` URI identifying the Liberty WML post profile "http://projectliberty.org/profiles/wml-post".

Field Detail

### ns_xsi

    public static final java.lang.String ns_xsi

  Namespace URI for the W3C XML schema instance "http://www.w3.org/2001/XMLSchema-instance".
  See Also:
    Constant Field Values

### ns_liberty

    public static final java.lang.String ns_liberty

  URI for the Liberty namespace "urn:liberty:iff:2003-08".
  See Also:
    Constant Field Values

### ns_ac

    public static final java.lang.String ns_ac

  URI for the Liberty Authentication Context namespace "urn:liberty:ac:2003-08.
  See Also:
    Constant Field Values

### obj_ac_classes

    public static final java.lang.String obj_ac_classes

  Stem URI for Liberty authentication context class identifier URIs.
  See Also:
    Constant Field Values

### ns_metadata

    public static final java.lang.String ns_metadata

  The Liberty metadata namespace URI.
  See Also:
    Constant Field Values

### ns_disco

    public static final java.lang.String ns_disco

  The Liberty discovery namespace URI.
  See Also:
    Constant Field Values

### prof_brws_art

    public static final java.lang.String prof_brws_art

  URI identifying the Liberty browser artifact profile "http://projectliberty.org/profiles/brws-art".
  See Also:
    Constant Field Values

### prof_brws_post

    public static final java.lang.String prof_brws_post

  URI identifying the Liberty browser post profile "http://projectliberty.org/profiles/brws-post".
  See Also:
    Constant Field Values

### prof_wml_post

    public static final java.lang.String prof_wml_post

  URI identifying the Liberty WML post profile "http://projectliberty.org/profiles/wml-post".
  See Also:
    Constant Field Values

### prof_lecp

    public static final java.lang.String prof_lecp

  URI identifying the Liberty-Enabled client and proxy profile (LECP) "http://projectliberty.org/profiles/lecp".
  See Also:
    Constant Field Values

### prof_lecp_providerid

    public static final java.lang.String prof_lecp_providerid

  URI to be used as the value of the ProviderID in a lib:AuthnResponse message that contains a samlp:StatusCode indicatin an error condition.
  See Also:
    Constant Field Values

### prof_rni_idp_http

    public static final java.lang.String prof_rni_idp_http

  URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-http".
  See Also:
    Constant Field Values

### prof_rni_idp_soap

    public static final java.lang.String prof_rni_idp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at identity provider "http://projectliberty.org/profiles/rni-idp-soap".
  See Also:
    Constant Field Values

### prof_rni_sp_http

    public static final java.lang.String prof_rni_sp_http

  URI identifying the profile of HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-http".
  See Also:
    Constant Field Values

### prof_rni_sp_soap

    public static final java.lang.String prof_rni_sp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based register name identifier initialized at service provider "http://projectliberty.org/profiles/rni-sp-soap".
  See Also:
    Constant Field Values

### prof_fedterm_idp_http

    public static final java.lang.String prof_fedterm_idp_http

  URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-http".
  See Also:
    Constant Field Values

### prof_fedterm_idp_soap

    public static final java.lang.String prof_fedterm_idp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at identity provider "http://projectliberty.org/profiles/fedterm-idp-soap".
  See Also:
    Constant Field Values

### prof_fedterm_sp_http

    public static final java.lang.String prof_fedterm_sp_http

  URI identifying the profile of HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-http".
  See Also:
    Constant Field Values

### prof_fedterm_sp_soap

    public static final java.lang.String prof_fedterm_sp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based federation termination notification initialized at service provider "http://projectliberty.org/profiles/fedterm-sp-soap".
  See Also:
    Constant Field Values

### prof_slo_idp_http

    public static final java.lang.String prof_slo_idp_http

  URI identifying the profile of HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-http".
  See Also:
    Constant Field Values

### prof_slo_idp_soap

    public static final java.lang.String prof_slo_idp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at identity provider "http://projectliberty.org/profiles/slo-idp-soap".
  See Also:
    Constant Field Values

### prof_slo_sp_http

    public static final java.lang.String prof_slo_sp_http

  URI identifying the profile of HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-http".
  See Also:
    Constant Field Values

### prof_slo_sp_soap

    public static final java.lang.String prof_slo_sp_soap

  URI identifying the profile of SOAP/HTTP-Rediect-Based single logout initialized at service provider "http://projectliberty.org/profiles/slo-sp-soap".
  See Also:
    Constant Field Values

### prof_nim_sp_http

    public static final java.lang.String prof_nim_sp_http

  URI identifying the profile of SOAP-Based Name Identifier Mapping initiated at the service provider "http://projectliberty.org/profiles/nim-sp-http".
  See Also:
    Constant Field Values

### prof_nameid_encrypted

    public static final java.lang.String prof_nameid_encrypted

  URI identifying the NameIdentifier Encryption profile "urn:liberty:iff:nameid:encrypted".
  See Also:
    Constant Field Values

### consent_obtained

    public static final java.lang.String consent_obtained

  Consent value meaning that consent from the user was obtained by the sender of the message, "urn:liberty:consent:obtained".
  See Also:
    Constant Field Values

### consent_prior

    public static final java.lang.String consent_prior

  Consent value meaning that consent from the user was obtained by the sender of the message at some point prior to this action, "urn:liberty:consent:obtained:prior".
  See Also:
    Constant Field Values

### consent_implicit

    public static final java.lang.String consent_implicit

  Consent value meaning that consent from the user has been implicitly obtained by the sender during this action as part of a broader indication of consent, "urn:liberty:consent:obtained:current:implicit".
  See Also:
    Constant Field Values

### consent_explicit

    public static final java.lang.String consent_explicit

  Consent value meaning that consent from the user has been explicitly obtained by the sender during this action, "urn:liberty:consent:obtained:current:explicit".
  See Also:
    Constant Field Values

### consent_unavailable

    public static final java.lang.String consent_unavailable

  Consent value meaning that consent was not obtained by the sender of the message, "urn:liberty:consent:unavailable".
  See Also:
    Constant Field Values

### consent_inapplicable

    public static final java.lang.String consent_inapplicable

  Consent value meaning that the sender does not believe to need consent for the message, "urn:liberty:consent:inapplicable".
  See Also:
    Constant Field Values

### contact_type_technical

    public static final java.lang.String contact_type_technical

  Contact type value: technical
  See Also:
    Constant Field Values

### contact_type_administrative

    public static final java.lang.String contact_type_administrative

  Contact type value: administrative
  See Also:
    Constant Field Values

### contact_type_billing

    public static final java.lang.String contact_type_billing

  Contact type value: billing
  See Also:
    Constant Field Values

### contact_type_other

    public static final java.lang.String contact_type_other

  Contact type value: other
  See Also:
    Constant Field Values

### nameid_format_federated

    public static final java.lang.String nameid_format_federated

  Liberty name identifier format federated
  See Also:
    Constant Field Values

### nameid_format_onetime

    public static final java.lang.String nameid_format_onetime

  Liberty name identifier format one-time
  See Also:
    Constant Field Values

### nameid_format_encrypted

    public static final java.lang.String nameid_format_encrypted

  Liberty name identifier format encrypted
  See Also:
    Constant Field Values

### nameid_format_entityID

    public static final java.lang.String nameid_format_entityID

  Liberty name identifier format entityID
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.